Scriptel ScripTouch ProScript C Library This documentation contains information about the ScripTouch ProScript C Library.

Data Fields
scriptel_device_region_common Struct Reference

This structure contains all of the items that are common to all regions regardless of type. More...

`#include <scriptel-hid-reports.h>`

Collaboration diagram for scriptel_device_region_common:
[legend]

## Data Fields
unsigned char | region_number
| The region number. More...
scriptel_region_type | region_type
| The type of region this is.
unsigned char | accept_touch
| Whether or not this region accepts touch.
unsigned char | decode
| Whether or not this region gets decoded. More...
unsigned char | visible
| Whether or not this region is visible on the screen.
unsigned char | in_use
| Flag for in use, has a similar effect to visible. More...
unsigned char | has_frame
| Whether or not a one pixel frame should be drawn around this region. More...
unsigned char | reserved_1
| Reserved for future use.
unsigned int | reserved_2
| Reserved for future use.
unsigned short | x1
| The left-most side of the region.
unsigned short | x2
| The right-most side of the region.
unsigned short | y1
| The top-most side of the region.
unsigned short | y2
| The bottom-most side of the region.
scriptel_color | color_foreground
| The foreground color of the region.
scriptel_color | color_background
| The background color of the region.

## Detailed Description

This structure contains all of the items that are common to all regions regardless of type.

## Field Documentation

## ◆ decode

unsigned char decode

Whether or not this region gets decoded.

Essentially if true this means that coordinates can be returned for this region. Otherwise coordinates will skip over a region even if the pen is in that region and a parent region will be returned instead.

## ◆ has_frame

unsigned char has_frame

Whether or not a one pixel frame should be drawn around this region.

The frame will be drawn in the foreground color.

## ◆ in_use

unsigned char in_use

Flag for in use, has a similar effect to visible.

Read only on most devices.

## ◆ region_number

unsigned char region_number

The region number.

These start from 1 and go up to region_count in the display information.

The documentation for this struct was generated from the following file:

- src/scriptel-hid-reports.h